javax.jdo.metadata

## Interface InheritanceMetadata

- All Superinterfaces:
    Metadata

      public interface InheritanceMetadata
      extends Metadata

  Represents the inheritance of a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCustomStrategy()` Accessor for the custom inheritance (overriding "strategy").
    `DiscriminatorMetadata` | `getDiscriminatorMetadata()` Accessor for the discriminator (if any).
    `JoinMetadata` | `getJoinMetadata()` Accessor for the join (if any).
    `InheritanceStrategy` | `getStrategy()` Accessor for the inheritance strategy.
    `DiscriminatorMetadata` | `newDiscriminatorMetadata()` Method to define the new discriminator metadata.
    `JoinMetadata` | `newJoinMetadata()` Method to define the new join information.
    `InheritanceMetadata` | `setCustomStrategy(String strategy)` Method to set the custom inheritance strategy.
    `InheritanceMetadata` | `setStrategy(InheritanceStrategy strategy)` Method to set the inheritance strategy.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setStrategy

          InheritanceMetadata setStrategy(InheritanceStrategy strategy)

      Method to set the inheritance strategy.
      Parameters:
        `strategy` - The strategy
      Returns:
        This metadata object

    - #### getStrategy

          InheritanceStrategy getStrategy()

      Accessor for the inheritance strategy.
      Returns:
        The strategy

    - #### setCustomStrategy

          InheritanceMetadata setCustomStrategy(String strategy)

      Method to set the custom inheritance strategy.
      Parameters:
        `strategy` - The strategy
      Returns:
        This metadata object

    - #### getCustomStrategy

          String getCustomStrategy()

      Accessor for the custom inheritance (overriding "strategy").
      Returns:
        The strategy

    - #### newDiscriminatorMetadata

          DiscriminatorMetadata newDiscriminatorMetadata()

      Method to define the new discriminator metadata.
      Returns:
        The DiscriminatorMetadata

    - #### getDiscriminatorMetadata

          DiscriminatorMetadata getDiscriminatorMetadata()

      Accessor for the discriminator (if any).
      Returns:
        Discriminator

    - #### newJoinMetadata

          JoinMetadata newJoinMetadata()

      Method to define the new join information.
      Returns:
        The JoinMetadata

    - #### getJoinMetadata

          JoinMetadata getJoinMetadata()

      Accessor for the join (if any).
      Returns:
        Join information

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.